Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018716
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2011-10-06 10:562011-11-16 19:14
ReporterxabiermerinoView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branch2.50Fixed in SCM revision70cf0f2524a8
ProjectionnoneETAnoneTarget Version2.50MP36
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP33.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018716: The application use the currency of the Accounting schema's organization as foreign currency

DescriptionYou have two Accounting Schemas. With EUR and USD. You create a G/L Journal Batch with US organization (US Accounting Schema). When you create the Header, the fields 'Currency Rate Type' and 'Rate' are displayed because the currency of the Batch (USD) is different that the value of the variable $Currency. The value of this variable is selected randomly.
Steps To Reproduce- As Admin go to GL Journal Batch
- Create a record with US inc
- Create a Header
- Realize that the fields 'Currency Rate Type' and 'Rate' appear.
Proposed Solution1) Create the column c_currency_id in the ad_org
2) Change LoginUtils in order to get the currency of the organization with you log in.
3) If there is no currency defined in the org use the actual method
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00187153.0MP6 closedjecharri The application use the currency of the Accounting schema's organization as foreign currency 

-  Notes
(0042865)
hgbot (developer)
2011-11-16 09:50

Repository: erp/stable/2.50
Changeset: 70cf0f2524a86cc5d2cc85b2c17b86b7a3bff69d
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Nov 16 09:31:51 2011 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/70cf0f2524a86cc5d2cc85b2c17b86b7a3bff69d [^]

Fixes issue 18716:
The application use the currency of the Accounting schema's organization as foreign currency

---
M src-db/database/model/tables/AD_ORG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/base/secureApp/Attribute_data.xsql
M src/org/openbravo/base/secureApp/LoginUtils.java
---
(0042897)
xabiermerino (developer)
2011-11-16 19:14

verified

- Issue History
Date Modified Username Field Change
2011-10-06 10:56 xabiermerino Type defect => backport
2011-10-06 10:56 xabiermerino fix_in_branch => 2.50
2011-10-06 10:56 xabiermerino version 3.0MP3 => 2.50MP33.1
2011-10-06 10:56 xabiermerino Target Version 3.0MP6 => 2.50MP35
2011-10-06 16:53 xabiermerino Priority high => urgent
2011-10-06 16:53 xabiermerino Severity minor => major
2011-10-17 11:46 jonalegriaesarte Target Version 2.50MP35 => 2.50MP36
2011-10-17 11:56 xabiermerino Note Added: 0041848
2011-10-17 11:56 xabiermerino Note Deleted: 0041848
2011-10-17 12:29 xabiermerino Proposed Solution updated
2011-11-14 09:51 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2011-11-16 09:50 hgbot Checkin
2011-11-16 09:50 hgbot Note Added: 0042865
2011-11-16 09:50 hgbot Status scheduled => resolved
2011-11-16 09:50 hgbot Resolution open => fixed
2011-11-16 09:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/stable/2.50/rev/70cf0f2524a86cc5d2cc85b2c17b86b7a3bff69d [^]
2011-11-16 19:14 xabiermerino Note Added: 0042897
2011-11-16 19:14 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker